Results 1 to 5 of 5

Thread: ktorrent - looking for later version

  1. #1

    Default ktorrent - looking for later version

    Leap 42.2 has ktorrent 5.01-3.1 which has a bug which causes it to crash when the scheduler plugin is selected.
    This bug has been fixed, see here: https://quickgit.kde.org/?p=ktorrent.git&a=commit&h=499ed1dffaff60a37e60fa566254188ee970bfdf

    But no update is available from normal repositories.
    I tried version 5.0.1-6.13 from the 42.3 repository, but it also crashes at the same point.

    Is there a safe way way to get the later version suitable for Leap?
    Go placidly amidst the noise and haste, and remember what peace there may be in silence.

  2. #2

    Default Re: ktorrent - looking for later version

    Quote Originally Posted by oakhillj View Post
    Is there a safe way way to get the later version suitable for Leap?
    There is no later version (yet).

    But feel free to file a bug report at http://bugzilla.opensuse.org/ (same username/password as here), and we can release an update with that fix.

    Btw, your link is wrong and doesn't work, quickgit.kde.org doesn't exist any more.
    You mean this commit?
    https://cgit.kde.org/ktorrent.git/co...54188ee970bfdf

  3. #3

    Default Re: ktorrent - looking for later version

    Quote Originally Posted by wolfi323 View Post
    PS: I'd say these two commits sound more like they would fix the crash:
    https://cgit.kde.org/ktorrent.git/co...37501df9e328c3
    https://cgit.kde.org/ktorrent.git/co...ec49ed003577da
    Last edited by wolfi323; 23-May-2017 at 02:33.

  4. #4

    Default Re: ktorrent - looking for later version

    Thank you for your help, I have submitted bug report 1040379.

    The link in my original post was given to me in the "duplicate bug" response I got from kde.org. Odd.
    Go placidly amidst the noise and haste, and remember what peace there may be in silence.

  5. #5

    Default Re: ktorrent - looking for later version

    Quote Originally Posted by oakhillj View Post
    The link in my original post was given to me in the "duplicate bug" response I got from kde.org. Odd.
    Not really odd.
    That bug report is a year old, and that response is from last September.
    I think quickgit.kde.org was still reachible back then, but it got turned off shortly afterwards in favor of cgit.kde.org.

    A fixed package is available already in KDE:Extra btw, but I'll submit an official update for 42.2 too.
    http://download.opensuse.org/reposit...USE_Leap_42.2/

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •